# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gh_trending/version'

Gem::Specification.new do |spec|
  spec.name          = "gh-trending"
  spec.version       = Gh::Trending::VERSION
  spec.authors       = ["luispcosta"]
  spec.email         = ["luispcosta18@gmail.com"]

  spec.summary       = %q{Fetch trending repositories/developers from the github's trending page}
  spec.description   = %q{
    Fetches the trending repositories and developers from the github's trending page.

    You can also filter the trending repositories and developers by your favorite language and by time period
    (last day, last week and last month).
  }
  spec.homepage      = "https://github.com/luispcosta/gh-trending"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "mechanize"

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "pry-byebug"
end
